.. SDR specs directory index page

.. This file is protected by Copyright. Please refer to the COPYRIGHT file
   distributed with this source distribution.

   This file is part of OpenCPI <http://www.opencpi.org>

   OpenCPI is free software: you can redistribute it and/or modify it under the
   terms of the GNU Lesser General Public License as published by the Free
   Software Foundation, either version 3 of the License, or (at your option) any
   later version.

   OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
   A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
   more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program. If not, see <http://www.gnu.org/licenses/>.


.. _timed_sample_protocols:


Protocols
=========
The timed samples protocols set are the protocol set used throughout the SDR project.

.. toctree::
   :maxdepth: 1
   :glob:
   :caption: Protocols

   timed_sample-protocol
   doc/resampling_opcodes
   *-protocol

.. include:: timed_sample-protocol.rst
   :start-line: 22
